JBoss API: Class WebMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class WebMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.WebMetaData

All Implemented Interfaces:
  XmlLoadable

public class WebMetaData
extends java.lang.Object
implements XmlLoadable

A representation of the web.xml and jboss-web.xml deployment descriptors as used by the AbstractWebContainer web container integration support class.

Version:
  $Revision: 1.2.6.4 $
Author:
  Scott.Stark@jboss.org
See Also:
  `XmlLoadable`, `AbstractWebContainer`

Constructor Summary
`WebMetaData()`

Method Summary
`java.lang.String` | `getContextRoot()` This the the jboss-web.xml descriptor context-root and it is only meaningful if a war is deployed outside of an ear.
`java.util.Iterator` | `getEjbLocalReferences()` Return an iterator of the ejb-local-ref mappings.
`java.util.Iterator` | `getEjbReferences()` Return an iterator of the ejb-ref mappings.
`java.util.Iterator` | `getEnvironmentEntries()` Return an iterator of the env-entry mappings.
`java.util.Iterator` | `getResourceEnvReferences()` Return an iterator of the resource-ref mappings.
`java.util.Iterator` | `getResourceReferences()` Return an iterator of the resource-ref mappings.
`java.lang.String` | `getSecurityDomain()` Return the optional security-domain jboss-web.xml element.
`java.lang.String` | `getVirtualHost()` The servlet container virtual host the war should be deployed into.
`protected void` | `importJBossWebXml(org.w3c.dom.Element jbossWeb)` Parse the elements of the jboss-web element used by the integration layer.
`protected void` | `importWebXml(org.w3c.dom.Element webApp)` Parse the elements of the web-app element used by the integration layer.
`void` | `importXml(org.w3c.dom.Element element)`
`void` | `setContextRoot(java.lang.String contextRoot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebMetaData

    public WebMetaData()

Method Detail

### getEnvironmentEntries

    public java.util.Iterator getEnvironmentEntries()

  Return an iterator of the env-entry mappings.
  Returns:
    Iterator of EnvEntryMetaData objects.

### getEjbReferences

    public java.util.Iterator getEjbReferences()

  Return an iterator of the ejb-ref mappings.
  Returns:
    Iterator of EjbRefMetaData objects.

### getEjbLocalReferences

    public java.util.Iterator getEjbLocalReferences()

  Return an iterator of the ejb-local-ref mappings.
  Returns:
    Iterator of EjbLocalRefMetaData objects.

### getResourceReferences

    public java.util.Iterator getResourceReferences()

  Return an iterator of the resource-ref mappings.
  Returns:
    Iterator of ResourceRefMetaData objects.

### getResourceEnvReferences

    public java.util.Iterator getResourceEnvReferences()

  Return an iterator of the resource-ref mappings.
  Returns:
    Iterator of ResourceEnvRefMetaData objects.

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Return the optional security-domain jboss-web.xml element.
  Returns:
    The jndiName of the security manager implementation that is responsible for security of the web application. May be null if there was no security-domain specified in the jboss-web.xml descriptor.

### getContextRoot

    public java.lang.String getContextRoot()

  This the the jboss-web.xml descriptor context-root and it is only meaningful if a war is deployed outside of an ear.

### setContextRoot

    public void setContextRoot(java.lang.String contextRoot)

### getVirtualHost

    public java.lang.String getVirtualHost()

  The servlet container virtual host the war should be deployed into. If null then the servlet container default host should be used.

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws java.lang.Exception

  Specified by:
    `importXml` in interface `XmlLoadable`

### importWebXml

    protected void importWebXml(org.w3c.dom.Element webApp)
                         throws java.lang.Exception

  Parse the elements of the web-app element used by the integration layer.

### importJBossWebXml

    protected void importJBossWebXml(org.w3c.dom.Element jbossWeb)
                              throws java.lang.Exception

  Parse the elements of the jboss-web element used by the integration layer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.